# Class k.i.IValidatableProxyWidget(IProxyWidget):

Part of kiwi.interfaces View In Hierarchy

IValidatableProxyWidget extends IProxyWidget with validation support

Signals:

      validate: This emitted so each widget can provide it's own
        custom validation.
      validation-changed: This is emitted when the validation status
        changes, mainly used by the proxy.

Properties:

      mandatory: bool, if the widget is mandatory

Method | is_valid | Undocumented
Method | validate | Undocumented

Inherited from IProxyWidget:

Method | read | Reads the content of the widget and returns in an appropriate
Method | update | Updates the content of the widget with a value

Inherited from Interface (via IProxyWidget):

Class Method | providedBy | Undocumented

def is_valid():
Undocumented
def validate(force=False):
Undocumented